{ lib, python3Packages }:
with python3Packages;
buildPythonPackage rec {
  pname = "Telethon-sync";
  version = "1.1.1";

  src = builtins.fetchGit {
    url = "https://github.com/LonamiWebs/Telethon";
    ref = "sync-stale";
    rev = "6a785a01aa56cfd21c8c5beb9d722c68d664ba5e";
  };

  propagatedBuildInputs = [
    rsa pyaes async_generator
  ];
  doCheck = false;

  meta = with lib; {
    homepage = https://github.com/LonamiWebs/Telethon;
    description = "Full-featured Telegram client library for Python 3";
    license = licenses.mit;
  };
}
